---
lang: en
title: 'API docs: socketio.socketioapplication.server'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioapplication.server.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoApplication](./socketio.socketioapplication.md) &gt; [server](./socketio.socketioapplication.server.md)

## SocketIoApplication.server() method

**Signature:**

```typescript
server(server: Constructor<Server>, name?: string): Binding;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Constructor](./context.constructor.md)<!-- -->&lt;[Server](./core.server.md)<!-- -->&gt; |  |
|  name | string | _(Optional)_ |

**Returns:**

[Binding](./context.binding.md)


